fragen stichworte

So konfigurieren Sie Apache mit gnutls

Ich möchte SNI auf meinem CentOS 5.5-Dev-Server, und da es so aussieht, als hätte ich mit den aktuellen Repo-Versionen von OpenSL und Apache kein Glück, bevor ich benutzerdefinierte RPMs kompiliere Lass es mit gnutls arbeiten.

Weiß jemand, wie das geht? Laut Yum ist gnutls bereits installiert, aber ich sehe es nicht in meinem Apache-Modulverzeichnis.

antworten

Wenn Sie die gnutls installiert haben, ist dies nicht die Version für Apache. Sie müssen die Version aus dem Quellcode kompilieren. Siehe http://www.g-loaded.eu/2007/08/10/ssl-enabled-name-based-apache-virtual-hosts-with-mod_gnutls/